Create a new Allocation
curl --request POST \
--url https://api.example.com/{supplierapi}/product/{productId}/allocation \
--header 'Content-Type: application/json' \
--data '
{
"allocationName": "<string>",
"defaultQuantity": 123,
"productPricesDetailsIds": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"blockoutDays": "<string>",
"bookingDetailId": 123,
"bookingBuffer": 123
}
'import requests
url = "https://api.example.com/{supplierapi}/product/{productId}/allocation"
payload = {
"allocationName": "<string>",
"defaultQuantity": 123,
"productPricesDetailsIds": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"blockoutDays": "<string>",
"bookingDetailId": 123,
"bookingBuffer": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
allocationName: '<string>',
defaultQuantity: 123,
productPricesDetailsIds: '<string>',
startDate: '<string>',
endDate: '<string>',
blockoutDays: '<string>',
bookingDetailId: 123,
bookingBuffer: 123
})
};
fetch('https://api.example.com/{supplierapi}/product/{productId}/allocation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/{supplierapi}/product/{productId}/allocation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'allocationName' => '<string>',
'defaultQuantity' => 123,
'productPricesDetailsIds' => '<string>',
'startDate' => '<string>',
'endDate' => '<string>',
'blockoutDays' => '<string>',
'bookingDetailId' => 123,
'bookingBuffer' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/{supplierapi}/product/{productId}/allocation"
payload := strings.NewReader("{\n \"allocationName\": \"<string>\",\n \"defaultQuantity\": 123,\n \"productPricesDetailsIds\": \"<string>\",\n \"startDate\": \"<string>\",\n \"endDate\": \"<string>\",\n \"blockoutDays\": \"<string>\",\n \"bookingDetailId\": 123,\n \"bookingBuffer\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/{supplierapi}/product/{productId}/allocation")
.header("Content-Type", "application/json")
.body("{\n \"allocationName\": \"<string>\",\n \"defaultQuantity\": 123,\n \"productPricesDetailsIds\": \"<string>\",\n \"startDate\": \"<string>\",\n \"endDate\": \"<string>\",\n \"blockoutDays\": \"<string>\",\n \"bookingDetailId\": 123,\n \"bookingBuffer\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/{supplierapi}/product/{productId}/allocation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"allocationName\": \"<string>\",\n \"defaultQuantity\": 123,\n \"productPricesDetailsIds\": \"<string>\",\n \"startDate\": \"<string>\",\n \"endDate\": \"<string>\",\n \"blockoutDays\": \"<string>\",\n \"bookingDetailId\": 123,\n \"bookingBuffer\": 123\n}"
response = http.request(request)
puts response.read_bodyVersion 1
Create a new Allocation
Create a new Allocation
Creates a new Allocation for the given Product.
Response
Top Level Result Object
| Field name | Nullable | Type | Description |
|---|---|---|---|
| allocationId | n | Integer | ID of the newly created Allocation. |
POST
/
{supplierapi}
/
product
/
{productId}
/
allocation
Create a new Allocation
curl --request POST \
--url https://api.example.com/{supplierapi}/product/{productId}/allocation \
--header 'Content-Type: application/json' \
--data '
{
"allocationName": "<string>",
"defaultQuantity": 123,
"productPricesDetailsIds": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"blockoutDays": "<string>",
"bookingDetailId": 123,
"bookingBuffer": 123
}
'import requests
url = "https://api.example.com/{supplierapi}/product/{productId}/allocation"
payload = {
"allocationName": "<string>",
"defaultQuantity": 123,
"productPricesDetailsIds": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"blockoutDays": "<string>",
"bookingDetailId": 123,
"bookingBuffer": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
allocationName: '<string>',
defaultQuantity: 123,
productPricesDetailsIds: '<string>',
startDate: '<string>',
endDate: '<string>',
blockoutDays: '<string>',
bookingDetailId: 123,
bookingBuffer: 123
})
};
fetch('https://api.example.com/{supplierapi}/product/{productId}/allocation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/{supplierapi}/product/{productId}/allocation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'allocationName' => '<string>',
'defaultQuantity' => 123,
'productPricesDetailsIds' => '<string>',
'startDate' => '<string>',
'endDate' => '<string>',
'blockoutDays' => '<string>',
'bookingDetailId' => 123,
'bookingBuffer' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/{supplierapi}/product/{productId}/allocation"
payload := strings.NewReader("{\n \"allocationName\": \"<string>\",\n \"defaultQuantity\": 123,\n \"productPricesDetailsIds\": \"<string>\",\n \"startDate\": \"<string>\",\n \"endDate\": \"<string>\",\n \"blockoutDays\": \"<string>\",\n \"bookingDetailId\": 123,\n \"bookingBuffer\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/{supplierapi}/product/{productId}/allocation")
.header("Content-Type", "application/json")
.body("{\n \"allocationName\": \"<string>\",\n \"defaultQuantity\": 123,\n \"productPricesDetailsIds\": \"<string>\",\n \"startDate\": \"<string>\",\n \"endDate\": \"<string>\",\n \"blockoutDays\": \"<string>\",\n \"bookingDetailId\": 123,\n \"bookingBuffer\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/{supplierapi}/product/{productId}/allocation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"allocationName\": \"<string>\",\n \"defaultQuantity\": 123,\n \"productPricesDetailsIds\": \"<string>\",\n \"startDate\": \"<string>\",\n \"endDate\": \"<string>\",\n \"blockoutDays\": \"<string>\",\n \"bookingDetailId\": 123,\n \"bookingBuffer\": 123\n}"
response = http.request(request)
puts response.read_bodyPath Parameters
The ID of the Product
Pattern:
supplier|apiv1/supplierBody
application/json
Allocation details to create
Name of the Allocation.
Default quantity for this Allocation.
IDs for the ProductPricesDetails that this Allocation should apply to.
Start date of this Allocation.
End date of this Allocation.
Days of the week when the product is not available.
ID for the BookingDetail Object for this allocation.
Number of days before booking date to disable reservations.
Response
Returned when successful.